FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Ubuntu > Launchpad User

 
 
LinkBack Thread Tools
 
Old 11-27-2007, 08:31 AM
Michal Čihař
 
Default gammu_1.15.0-1_source.changes rejected

Hi

I wanted to use PPA to have up to date binaries for all current Ubuntu
distros. However I'm able to upload only to only one and any subsequent
upload to other ones get rejected:

On Tue, 27 Nov 2007 09:20:07 -0000
Launchpad PPA <no_reply@launchpad.net> wrote:

> Rejected:
> This sourcepackagerelease is already accepted in dapper.

I have this package only in hardy, so what am I doing wrong?

Please CC me on reply, I'm not subscribed.

--
Michal Čihař | http://cihar.com | http://blog.cihar.com
--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 
Old 11-27-2007, 12:38 PM
Michal Čihař
 
Default gammu_1.15.0-1_source.changes rejected

Hi

I wanted to use PPA to have up to date binaries for all current Ubuntu
distros. However I'm able to upload only to only one and any subsequent
upload to other ones get rejected:

On Tue, 27 Nov 2007 09:20:07 -0000
Launchpad PPA <no_reply@launchpad.net> wrote:

> Rejected:
> This sourcepackagerelease is already accepted in dapper.

I have this package only in hardy, so what am I doing wrong? Or it is
not possible to have package with same version in more distributions?

--
Michal Čihař | http://cihar.com | http://blog.cihar.com
--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 
Old 11-27-2007, 02:53 PM
Emilio Pozuelo Monfort
 
Default gammu_1.15.0-1_source.changes rejected

Michal Čihař wrote:
> Hi
>
> I wanted to use PPA to have up to date binaries for all current Ubuntu
> distros. However I'm able to upload only to only one and any subsequent
> upload to other ones get rejected:
>
> On Tue, 27 Nov 2007 09:20:07 -0000
> Launchpad PPA <no_reply@launchpad.net> wrote:
>
>> Rejected:
>> This sourcepackagerelease is already accepted in dapper.
>
> I have this package only in hardy, so what am I doing wrong?

You need to change the version string, use something like ~dapper1 for example,
as all the package are in the same folder.

Cheers

>
> Please CC me on reply, I'm not subscribed.
>
>


--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 
Old 11-27-2007, 02:57 PM
Michal Čihař
 
Default gammu_1.15.0-1_source.changes rejected

Hi

Dne Tue, 27 Nov 2007 16:49:46 +0100
Soren Hansen <sh@warma.dk> napsal(a):

> I sounds like you tried to upload the same version to multiple
> distributions. If so, please don't Just like Debian, Ubuntu and the
> PPA's use a /pool structure in the repositories, so we can't share
> version numbers between different suites.. You need to assign them
> slightly different versions numbers. You could e.g. add a 'dapper1'
> suffix for the Dapper version, etc..

Well I hoped I could use same packages as I upload to Debian without
touching them :-).

Anyway I think the error message could be better in
this case as "This sourcepackagerelease is already accepted in dapper."
is not true. If it would tell me that "This sourcepackagerelease is
already accepted in hardy and you can not have same
sourcepackagerelease in more distributions." I would not ask any
dumb questions :-).

--
Michal Čihař | http://cihar.com | http://blog.cihar.com
--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 
Old 11-27-2007, 04:40 PM
"Celso Providelo"
 
Default gammu_1.15.0-1_source.changes rejected

On Nov 27, 2007 1:57 PM, Michal Čihař <michal@cihar.com> wrote:
> Hi
>
> Dne Tue, 27 Nov 2007 16:49:46 +0100
> Soren Hansen <sh@warma.dk> napsal(a):
>
> > I sounds like you tried to upload the same version to multiple
> > distributions. If so, please don't Just like Debian, Ubuntu and the
> > PPA's use a /pool structure in the repositories, so we can't share
> > version numbers between different suites.. You need to assign them
> > slightly different versions numbers. You could e.g. add a 'dapper1'
> > suffix for the Dapper version, etc..
>
> Well I hoped I could use same packages as I upload to Debian without
> touching them :-).

Only once within a distribution.

> Anyway I think the error message could be better in
> this case as "This sourcepackagerelease is already accepted in dapper."
> is not true. If it would tell me that "This sourcepackagerelease is
> already accepted in hardy and you can not have same
> sourcepackagerelease in more distributions." I would not ask any
> dumb questions :-).

You are right, see https://bugs.edge.launchpad.net/soyuz/+bug/172373.

Thanks for the feedback.
--
Celso Providelo <celso.providelo@gmail.com>
--
launchpad-users mailing list
launchpad-users@lists.canonical.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/launchpad-users
 

Thread Tools




All times are GMT. The time now is 05:15 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org